=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,
                pkg-config,
@@ -15,7 +15,7 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt.git
