=== debian/changelog ===
networkmanager-qt (5.103.0-1deepin2) unstable; urgency=medium

  * add ActivateConnection2 interface

 -- fuleyi <fuleyi@uniontech.com>  Tue, 29 Aug 2024 17:05:39 +0800

networkmanager-qt (5.103.0-1deepin1) unstable; urgency=medium

  * add deepin-accesspoints.patch 

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 29 Aug 2023 17:05:39 +0800

networkmanager-qt (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:24 +0100
