=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,
                pkg-config,
@@ -29,7 +29,7 @@
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5networkmanagerqt-doc (= ${source:Version})
+Recommends: libkf5networkmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for NetworkManager - devel files.
  Qt wrapper for NetworkManager DBus API.
  .
@@ -40,7 +40,7 @@
 Package: libkf5networkmanagerqt-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Qt wrapper for NetworkManager - library (documentation)
  Qt wrapper for NetworkManager DBus API.
  .
@@ -51,9 +51,9 @@
 
 Package: libkf5networkmanagerqt6
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204), plasma-nm (<= 4:5.6~)
-Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204), plasma-nm (<= 4:5.6~),
+Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204),
 Description: Qt wrapper for NetworkManager - library
  Qt wrapper for NetworkManager DBus API.
  .
